eID middleware |

# be::portugal::eid::PTEID_OcspResponse Class Reference

Class that represents one OCSP Response. More...

Inheritance diagram for be::portugal::eid::PTEID_OcspResponse:

List of all members.

## Public Member Functions
override void | Dispose ()
| PTEID_OcspResponse (string uri, PTEID_HashAlgo hashAlgorithm, PTEID_ByteArray issuerNameHash, PTEID_ByteArray issuerKeyHash, PTEID_ByteArray serialNumber)
| Create an OcspResponse object from the URI only and CertID.
string | getUri ()
| Return the uri of the responder.
PTEID_CertifStatus | getResponse (PTEID_ByteArray response)
| Return the response.

## Detailed Description

Class that represents one OCSP Response.

## Constructor & Destructor Documentation

be::portugal::eid::PTEID_OcspResponse::PTEID_OcspResponse | ( | string | uri,
|  | PTEID_HashAlgo | hashAlgorithm,
|  | PTEID_ByteArray | issuerNameHash,
|  | PTEID_ByteArray | issuerKeyHash,
|  | PTEID_ByteArray | serialNumber |
| ) |  |  | `[inline]`

Create an OcspResponse object from the URI only and CertID.

This OCSP Response is not link to any certificate so some methods could not be used. these methods throw PTEID_ExBadUsage exception.

## Member Function Documentation

override void be::portugal::eid::PTEID_OcspResponse::Dispose | ( |  | ) | `[inline, virtual]`

Reimplemented from be::portugal::eid::PTEID_Object.

PTEID_CertifStatus be::portugal::eid::PTEID_OcspResponse::getResponse | ( | PTEID_ByteArray | response | ) | `[inline]`

Return the response.

string be::portugal::eid::PTEID_OcspResponse::getUri | ( |  | ) | `[inline]`

Return the uri of the responder.